# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETRootInfo2 Class Reference

This class is an extension of the NETRootInfo class, and exists solely for binary compatibility reasons (adds new virtual methods). More...

`#include <netwm.h>`

Inheritance diagram for NETRootInfo2:

[legend]
Collaboration diagram for NETRootInfo2:

[legend]
List of all members.

## Public Member Functions

| NETRootInfo2 (Display *display, Window supportWindow, const char *wmName, unsigned long properties[], int properties_size, int screen=-1, bool doActivate=true)
void | sendPing (Window window, Time timestamp)

## Protected Member Functions

virtual void | gotPing (Window window, Time timestamp)
virtual void | changeActiveWindow (Window window, NET::RequestSource src, Time timestamp, Window active_window)
virtual void | restackWindow (Window window, Window above, int detail)
virtual void | moveResizeWindow (Window window, int flags, int x, int y, int width, int height)

## Friends

class | NETRootInfo

## Detailed Description

This class is an extension of the NETRootInfo class, and exists solely for binary compatibility reasons (adds new virtual methods).

Simply use it instead of NETRootInfo and override also the added virtual methods.

Since:
  3.2

Definition at line 743 of file netwm.h.

## Member Function Documentation

void NETRootInfo2::sendPing | ( | Window | window,
|  | Time | timestamp
| ) |

| Sends a ping with the given timestamp to the window, using the _NET_WM_PING protocol. Definition at line 1672 of file netwm.cpp.

virtual void NETRootInfo2::gotPing | ( | Window | window,
|  | Time | timestamp
| ) | `[inline, protected, virtual]`

A Window Manager should subclass NETRootInfo2 and reimplement this function when it wants to receive replies to the _NET_WM_PING protocol.

Parameters:

  | window | the window from which the reply came
  | timestamp | timestamp of the ping

Definition at line 763 of file netwm.h.

Referenced by NETRootInfo::event().

virtual void NETRootInfo2::changeActiveWindow | ( | Window | window,
|  | NET::RequestSource | src,
|  | Time | timestamp,
|  | Window | active_window
| ) | `[inline, protected, virtual]`

A Window Manager should subclass NETRootInfo2 and reimplement this function when it wants to know when a Client made a request to change the active (focused) window.

Parameters:

  | window | the id of the window to activate
  | src | the source from which the request came
  | timestamp | the timestamp of the user action causing this request
  | active_window | active window of the requesting application, if any

Definition at line 774 of file netwm.h.

Referenced by NETRootInfo::event().

virtual void NETRootInfo2::restackWindow | ( | Window | window,
|  | Window | above,
|  | int | detail
| ) | `[inline, protected, virtual]`

A Window Manager should subclass NETRootInfo2 and reimplement this function when it wants to know when a Client made a request to restack a window.

See _NET_RESTACK_WINDOW for details.

Parameters:

  | window | the id of the window to restack
  | above | other window in the restack request
  | detail | restack detail

Definition at line 785 of file netwm.h.

Referenced by NETRootInfo::event().

virtual void NETRootInfo2::moveResizeWindow | ( | Window | window,
|  | int | flags,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[inline, protected, virtual]`

A Window Manager should subclass NETRootInfo2 and reimplement this function when it wants to know when a pager made a request to move/resize a window.

See _NET_MOVERESIZE_WINDOW for details.

Parameters:

  | window | the id of the window to more/resize
  | flags | Flags specifying the operation (see _NET_MOVERESIZE_WINDOW description)
  | x | Requested X position for the window
  | y | Requested Y position for the window
  | width | Requested width for the window
  | height | Requested height for the window

Definition at line 799 of file netwm.h.

Referenced by NETRootInfo::event().

The documentation for this class was generated from the following files:

- netwm.h
- netwm.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:51 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003